-- plugin.lua


require 'paq' {
	-- Handle itself
	'savq/paq-nvim';

	-- Theme
	'kyazdani42/nvim-web-devicons';
	{ 'folke/tokyonight.nvim', { branch = 'main' } };
	'tiagovla/tokyodark.nvim';
	'rebelot/kanagawa.nvim';
	'sainnhe/everforest';
	'navarasu/onedark.nvim';
	'rose-pine/neovim';
	'rmehri01/onenord.nvim';
	'EdenEast/nightfox.nvim';
	'tanvirtin/monokai.nvim';
	'catppuccin/nvim';
	'briones-gabriel/darcula-solid.nvim';
	'rktjmp/lush.nvim';


	-- treesitter
	'nvim-treesitter/nvim-treesitter';
	'nvim-treesitter/playground';

	-- Utils
	'akinsho/nvim-bufferline.lua';
	'hoob3rt/lualine.nvim';
	'j-hui/fidget.nvim';
	'airblade/vim-gitgutter';
	'nvim-lua/popup.nvim';
	'nvim-lua/plenary.nvim';

	-- File Navigation
	'kyazdani42/nvim-tree.lua';
	'nvim-telescope/telescope.nvim';

	-- lsp
	'williamboman/mason.nvim';
	'williamboman/mason-lspconfig.nvim';
	'neovim/nvim-lspconfig';
	'onsails/lspkind-nvim'; -- pictograms
	'simrat39/rust-tools.nvim';

	-- completion
	'hrsh7th/cmp-nvim-lsp';
	'hrsh7th/cmp-nvim-lsp-signature-help';
	'hrsh7th/cmp-buffer';
	'hrsh7th/cmp-path';
	'hrsh7th/cmp-nvim-lua';
	'hrsh7th/cmp-cmdline';
	'hrsh7th/nvim-cmp';

	-- snippets needed for cmp
	'L3MON4D3/LuaSnip';
	'saadparwaiz1/cmp_luasnip';

	-- autopair
	'windwp/nvim-autopairs';

	-- Linting & formtatting
	'jose-elias-alvarez/null-ls.nvim';

	-- writing
	'vimwiki/vimwiki';
	'junegunn/goyo.vim';
	'junegunn/limelight.vim';
}
